/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * EmptyQtQuery.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <Qt/qboxlayout.h>
#include <Qt/qlabel.h>

#include "Helpers/MemDebug.hpp"

#include "UIElements/Qt4/QtDialog.hpp"


QtDialog::EmptyQtQuery::EmptyQtQuery(std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
    Dialog::EmptyQuery(_title),
    parent(_parent)
{
  titleLabel = new QLabel(QString(getTitle().c_str()));

  parent->addLayout(thisLayout);
  thisLayout->addWidget(titleLabel);

  pipe = new EmptyQtQueryPipe(_dialog,titleLabel);
}

QtDialog::EmptyQtQuery::~EmptyQtQuery()
{
  delete pipe;
}

bool QtDialog::EmptyQtQuery::handle(){
  return true;
}


